Bug 28591 - debug passed to get_template_and_user but not used
Summary: debug passed to get_template_and_user but not used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28572
  Show dependency treegraph
 
Reported: 2021-06-18 09:34 UTC by Jonathan Druart
Modified: 2021-07-09 12:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28591: Don't pass debug to get_template_and_user (170.76 KB, patch)
2021-06-18 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28591: Don't pass debug to get_template_and_user (170.19 KB, patch)
2021-06-18 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-06-18 09:34:05 UTC
There is a "debug" parameter we are passing from the controller scripts to C4::Auth::get_template_and_user, but it's not actually used!
Comment 1 Jonathan Druart 2021-06-18 10:10:51 UTC
Created attachment 122116 [details] [review]
Bug 28591: Don't pass debug to get_template_and_user

There is a "debug" parameter we are passing from the controller scripts
to C4::Auth::get_template_and_user, but it's not actually used!

Test plan:
Confirm the assumption
Review the changes from this patch

Generated with:
perl -p -i -e 's#\s*debug\s*=\>\s*(0|1),?\s*##gms' **/*.pl

git checkout misc/devel/update_dbix_class_files.pl # Wrong catch
+ Manual fix in acqui/neworderempty.pl
Comment 2 Martin Renvoize 2021-06-18 14:28:03 UTC
Created attachment 122146 [details] [review]
Bug 28591: Don't pass debug to get_template_and_user

There is a "debug" parameter we are passing from the controller scripts
to C4::Auth::get_template_and_user, but it's not actually used!

Test plan:
Confirm the assumption
Review the changes from this patch

Generated with:
perl -p -i -e 's#\s*debug\s*=\>\s*(0|1),?\s*##gms' **/*.pl

git checkout misc/devel/update_dbix_class_files.pl # Wrong catch
+ Manual fix in acqui/neworderempty.pl

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-06-18 14:29:28 UTC
Obvious clarity improvement.. straight PQA from me.
Comment 4 Jonathan Druart 2021-06-22 10:15:08 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-09 12:23:50 UTC
Enhancement not backported to 21.05.x